Subject: Re: bug#6941: 24.0.50; yank doesn't return latest kill

From: Andreas Röhler <[email-masked]>
Date: Mon, 30 Aug 2010 18:09:50 +0200

Am 30.08.2010 15:37, schrieb Jan Djärv:
> 2010-08-29 21:39, Andreas Röhler skrev:
>>
>> emacs -Q:
>>
>> Hi,
>>
>> with yank following a kill-new, Emacs doesn't yank the latest killed
>> string.
>>
>> Checked it in a scratch buffer with following content after default:
>>
>> abc foo bar
>> (kill-new (buffer-substring-no-properties 192 195) ==> "abc"
>> (kill-new (buffer-substring-no-properties 196 199) ==> "foo"
>> (kill-new (buffer-substring-no-properties 200 203) ==> "bar"
>>
>> After evaluating this, following yank should insert "bar".
>>
>> Instead it inserted some other, previously killed content.
>>
>
> If I add the missing ) to those expressions, I do get bar yanked.
> Try again with proper expressions.
>
> Jan D.
>

Hi,

sorry for the typo.

I'm coming upon from functions which exchange-point-and-mark in order to 
get the string found displayed. Seems it's the setting of the mark, 
which triggers the bug.

If the last line is changed into

(kill-new (buffer-substring-no-properties 200 203)) asdf

evaluating it before "asdf", push-mark, down one or more line, region is 
active, yank, "asdf" is inserted.

Which follows the setting of select-active-regions, please see my 
posting to emacs-devel.

Basically it's a design-flaw IMHO.

Thanks

Andreas